#ifndef CONTEXT_CELLNAMING_H_INCLUDED
#define CONTEXT_CELLNAMING_H_INCLUDED 1

#include <e32base.h>
#include <AknQueryDialog.h>

class CCellNaming : public CBase {
public:
	static CCellNaming* NewL(class MApp_context& aContext, class sms* smsh,
		class i_status_notif* i_cb, class MNetworkConnection * aPublisher,
		class MNaming& aNaming, class CSensorRunner* aSensorRunner,
		class MContextAppUi& aAppUi);

	virtual void name_cell(const CAknQueryDialog::TTone tone, const class TBBCellId & cell, TTime time) = 0;
	virtual void ask_operator(const class TBBCellId & cell) = 0;
	virtual TBool locationing_available() = 0;
	virtual class CGenericIntMap* get_cellid_names() = 0; // int->HBufC*
	virtual bool is_named(TInt id) = 0;
	virtual class CCircularLog* BaseLog() = 0;
	virtual class CCurrentLoc* CurrentLoc() = 0;
};

#endif
