#!/usr/bin/perl

$PKG=$ARGV[0];
die "usage: single_pkg.pl PKGFILE" if ($PKG eq "");
	
open(MAIN, "<$PKG") || die "cannot open $PKG";

$out=$PKG;
$out=~s/\.pkg/_all.pkg/;

open(OUT, ">$out") || die "cannot open $out";
while(<MAIN>) {
	unless(/^@/) {
		print OUT $_;
		next;
	}
	/^@"([^"]*)"/;
	$pkg=$1;
	$pkg=~s/SIS/pkg/i;
	if (-f $pkg) {
		$dir=$pkg;
		$dir=~s/\\[^\\]+$/\\/;
		open(IN, "<$pkg") || die "cannot open $pkg";
		while(<IN>) {
			next if (/^\&/);
			next if (/^#/);
			next if (/^;/);
			next if (/^\s*$/);
			next if (/^\(/);

			if (/^\s*"[^\\]/) {
				s/"/"$dir/;
			}
			print OUT $_;
		}
		close(IN);
	} else {
		print OUT $_;
	}
}
close(OUT);
	
